summaryrefslogtreecommitdiffstats
path: root/openwrt/package/l2tpd/files/l2tpd.init
diff options
context:
space:
mode:
authornico <nico@3c298f89-4303-0410-b956-a3cf2f4a3e73>2005-12-16 12:00:19 +0000
committernico <nico@3c298f89-4303-0410-b956-a3cf2f4a3e73>2005-12-16 12:00:19 +0000
commit4fbbef031b45aa1184eac867688a5734dc3f0ef5 (patch)
tree44b8673f084adbc04a1a47cc93fb3ea12fb3e729 /openwrt/package/l2tpd/files/l2tpd.init
parent64017a106d715a43e26a69b5b4e7b17eb9948281 (diff)
port l2tpd fixes from changeset:2696 to trunk.
git-svn-id: svn://svn.openwrt.org/openwrt/trunk@2697 3c298f89-4303-0410-b956-a3cf2f4a3e73
Diffstat (limited to 'openwrt/package/l2tpd/files/l2tpd.init')
-rw-r--r--openwrt/package/l2tpd/files/l2tpd.init21
1 files changed, 21 insertions, 0 deletions
diff --git a/openwrt/package/l2tpd/files/l2tpd.init b/openwrt/package/l2tpd/files/l2tpd.init
new file mode 100644
index 000000000..f53175799
--- /dev/null
+++ b/openwrt/package/l2tpd/files/l2tpd.init
@@ -0,0 +1,21 @@
+#!/bin/sh
+
+BIN=l2tpd
+DEFAULT=/etc/default/$BIN
+RUN_D=/var/run
+PID_F=$RUN_D/$BIN.pid
+[ -f $DEFAULT ] && . $DEFAULT
+
+case $1 in
+ start)
+ $BIN $OPTIONS
+ ;;
+ stop)
+ [ -f $PID_F ] && kill $(cat $PID_F)
+ ;;
+ *)
+ echo "usage: $0 (start|stop)"
+ exit 1
+esac
+
+exit $?